import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyEditPaymentFractions = createAsyncThunk(
  "PROVINCE_POLICY_EDIT_PAYMENT_FRACTIONS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put(
      "payment-gateway-percentage/0/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
